Summary: Frontend for ding, a dictionary lookup program
Name: kding
Version: 0.6
Release: 3%{?dist}
License: GPLv2
Group: Applications/Internet
URL: http://www.rexi.org/software/kding/

Source: http://www.rexi.org/downloads/kding/kding-%{version}.tar.bz2
Source1: kdex.dtd
Source2: modifications.elements

BuildRequires: kdelibs-devel
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: cmake
BuildRequires: kdevelop
BuildRequires: kf5-kdoctools
Requires: ding


%description
KDing is a KDE frontend for Ding, a dictionary lookup program. It sits
in KDE's system tray and can translate the current clipboard content.
Users can also enter single words or phrases for translation. It is
intended to be used for translating between German and English, but
can be used with every language for which a word list is available for
Ding.


%prep
%setup -q
%{__mkdir_p} doc/de/dtd doc/en/dtd
%{__cp} -a %{SOURCE1} %{SOURCE2} doc/de/dtd
%{__cp} -a %{SOURCE1} %{SOURCE2} doc/en/dtd


%build
# % {__cmake} %{?_smp_mflags} -D CMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} .
%cmake
# make %%{?_smp_mflags}
%cmake_build


%install
# %%{__rm} -rf %%{buildroot}
# %%{makeinstall} DESTDIR=$RPM_BUILD_ROOT
%cmake_install
%find_lang %{name}


%check
%ctest


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/kding
%{_datadir}/applications/kde4/kding.desktop
%{_datadir}/kde4/apps/kding/
%{_datadir}/config.kcfg/kding.kcfg
%{_datadir}/doc/HTML/*/kding/
%{_datadir}/icons/*/*/apps/kding.png
%{_datadir}/icons/*/*/actions/kding_babelfish.png


%changelog
* Fri Dec  4 2020 J. Randall Owens <jrowens@ghiapet.net> - 0.6-3
- fix for Fedora/GhiaPet 33
- new cmake macros

* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.6-2
- cleanup per rpmlint
- more specific License

* Thu Dec 25 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 0.6-1
- Updated to version 0.6

* Sat Jan  2 2010 J. Randall Owens <jrowens@ghiapet.net> - 0.4.2-2
- Rebuild for Fedora 12

* Sun Feb 17 2008 Dries Verachtert <dries@ulyssis.org> - 0.4.2-1 - 6164/dries
- Updated to release 0.4.2.

* Mon Sep 10 2007 Dries Verachtert <dries@ulyssis.org> - 0.4.1-1
- Updated to release 0.4.1.

* Fri Aug 17 2007 Dries Verachtert <dries@ulyssis.org> - 0.4-1
- Updated to release 0.4.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.3-1.2
- Rebuild for Fedora Core 5.

* Tue Sep 20 2005 Dries Verachtert <dries@ulyssis.org> - 0.3-1
- Initial package.
